FreeMat

- Main Page
- Related Pages

vtkImageConnector

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageConnector is a helper class for connectivity filters. It is not meant to be used directly. It implements a stack and breadth first search necessary for some connectivity filters. Filtered axes sets the dimensionality of the neighbor comparison, and cannot be more than three dimensions. As implemented, only voxels which share faces are considered neighbors.

To create an instance of class vtkImageConnector, simply invoke its constructor as follows

      obj = vtkImageConnector

# Methods

The class vtkImageConnector has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageConnector class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageConnector = obj.NewInstance ()`
- `vtkImageConnector = obj.SafeDownCast (vtkObject o)`
- `obj.RemoveAllSeeds ()`
- `obj.SetConnectedValue (char )` - Values used by the MarkRegion method
- `char = obj.GetConnectedValue ()` - Values used by the MarkRegion method
- `obj.SetUnconnectedValue (char )` - Values used by the MarkRegion method
- `char = obj.GetUnconnectedValue ()` - Values used by the MarkRegion method
- `obj.MarkData (vtkImageData data, int dimensionality, int ext[6])` - Input a data of 0's and "UnconnectedValue"s. Seeds of this object are used to find connected pixels. All pixels connected to seeds are set to ConnectedValue. The data has to be unsigned char.